Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UploadFile

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.File>
it.tdlight.jni.TdApi.UploadFile

Enclosing class:
  TdApi

public static final class TdApi.UploadFile extends TdApi.Function<TdApi.File>
Asynchronously uploads a file to the cloud without sending it in a message. updateFile will be used to notify about upload progress and successful completion of the upload. The file will not have a persistent remote identifier until it will be sent in a message.

Returns `File`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.InputFile`
`file`
File to upload.
`TdApi.FileType`
`fileType`
File type; pass null if unknown.
`int`
`priority`
Priority of the upload (1-32).

## Constructor Summary

Constructors
Constructor
Description
`UploadFile()`
Asynchronously uploads a file to the cloud without sending it in a message.
`UploadFile(TdApi.InputFile file, TdApi.FileType fileType, int priority)`
Asynchronously uploads a file to the cloud without sending it in a message.
`UploadFile(DataInput input)`
Asynchronously uploads a file to the cloud without sending it in a message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### file

public TdApi.InputFile file
File to upload.

### fileType

public TdApi.FileType fileType
File type; pass null if unknown.

### priority

public int priority
Priority of the upload (1-32). The higher the priority, the earlier the file will be uploaded. If the priorities of two files are equal, then the first one for which uploadFile was called will be uploaded first.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UploadFile

public UploadFile()
Asynchronously uploads a file to the cloud without sending it in a message. updateFile will be used to notify about upload progress and successful completion of the upload. The file will not have a persistent remote identifier until it will be sent in a message.

Returns `File`

### UploadFile

public UploadFile(TdApi.InputFile file, TdApi.FileType fileType, int priority)
Asynchronously uploads a file to the cloud without sending it in a message. updateFile will be used to notify about upload progress and successful completion of the upload. The file will not have a persistent remote identifier until it will be sent in a message.

Returns `File`

Parameters:
  `file` - InputFile File to upload.
  `fileType` - FileType File type; pass null if unknown.
  `priority` - int Priority of the upload (1-32). The higher the priority, the earlier the file will be uploaded. If the priorities of two files are equal, then the first one for which uploadFile was called will be uploaded first.

### UploadFile

public UploadFile(DataInput input) throws IOException
Asynchronously uploads a file to the cloud without sending it in a message. updateFile will be used to notify about upload progress and successful completion of the upload. The file will not have a persistent remote identifier until it will be sent in a message.

Returns `File`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`